license_plate_api_croatia
====================

Dart paket za pregled tehnickih detalja na vozilima koja su u Hrvatskoj registrirana na njihovoj registarskoj tablici

`License_plate_api_croatia` pruza jednostavan nacin pronalaska detalja vozila s registarskih tablica (registarski broj)
automobila registriranog u Hrvatskoj

Za to je potrebno korisnicko ime i zaporka, a besplatno ih je dostupno na http://www.provjeraregistracije.com/

## English

A Dart package for looking up technical details on vehicles registered in Croatia by their license plate

`license_plate_api_croatia` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in Croatia

This requires a username and password, which is available for free from http://www.provjeraregistracije.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_croatia/license_plate_api_croatia.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *MATRICULA* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://www.provjeraregistracije.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: VAUXHALL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://www.provjeraregistracije.com/

